New fog installation, stopping web service failed.



  • I have tried it on Linux Mint Cinnamon, and ubuntu server, and both times it produced this error.

    
     * Configuring services
    
     * Setting up fogproject user..................................OK
     * Locking fogproject as a system account......................OK
     * Setting up fogproject password..............................OK
     * Stopping FOGMulticastManager.service Service................OK
     * Stopping FOGImageReplicator.service Service.................OK
     * Stopping FOGSnapinReplicator.service Service................OK
     * Stopping FOGScheduler.service Service.......................OK
     * Stopping FOGPingHosts.service Service.......................OK
     * Stopping FOGSnapinHash.service Service......................OK
     * Stopping FOGImageSize.service Service.......................OK
     * Setting up and starting MySQL...............................OK
     * Setting up MySQL user and database..........................OK
     * Backing up user reports.....................................Done
     * Stopping web service........................................Failed!
    root@fogv2:~/fogproject-1.5.9-RC2/bin# 
    


  • @Sebastian-Roth said in New fog installation, stopping web service failed.:

    @berndttoast23 said in New fog installation, stopping web service failed.:

    Thanks for your reply, I took your advice but unfortunately it produced the same result. Any other ideas?

    Did you really pull the very latest version via git?? As mentioned by George this changed was pushed only a few days ago and it’s not part of the last RC version but only the very latest from dev-branch.

    Thank you @Sebastian-Roth! That worked!!



  • @Sebastian-Roth Thank you for your reply. I didn’t get the install from git. I didn’t know how to do that until looking for it online. Sorry, I am sort of relearning linux after being a strictly Windows admin for a few years.
    I will try that now. Thanks!!



  • This post is deleted!


  • @george1421 ```
    code_text

    /usr/bin/lsb_release
    /bin/systemctl
    systemd
    ln: failed to create symbolic link '/etc/systemd/system/mysql.service': File exists
    ln: failed to create symbolic link '/etc/systemd/system/mysqld.service': File exists
    /usr/sbin/iptables
    dpkg-query: no packages found matching mysql-server
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Package python-software-properties is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    However the following packages replace it:
      software-properties-common
    
    E: Package 'python-software-properties' has no installation candidate
    Reading package lists...
    Building dependency tree...
    Reading state information...
    software-properties-common is already the newest version (2.0.3).
    0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
    Reading package lists...
    Building dependency tree...
    Reading state information...
    ntpdate is already the newest version (1:4.2.8p12+dfsg-3ubuntu4).
    0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
    16 Jul 11:30:50 ntpdate[99836]: adjust time server 24.3.230.211 offset -0.004077 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    Unable to init server: Could not connect: Connection refused
    Unable to init server: Could not connect: Connection refused
    Warning: apt-key output should not be parsed (stdout is not a terminal)
    Executing: /tmp/apt-key-gpghome.yi7rpz3884/gpg.1.sh --keyserver hkps://keyserver.ubuntu.com:443 --recv-keys 14AA40EC0831756756D7F66C4F4EA0AAE5267A6C
    gpg: key 4F4EA0AAE5267A6C: "Launchpad PPA for Ondřej Surý" not changed
    gpg: Total number processed: 1
    gpg:              unchanged: 1
    You are about to add the following PPA:
     Co-installable PHP versions: PHP 5.6, PHP 7.x and most requested extensions are included. Only Supported Versions of PHP (http://php.net/supported-versions.php) for Supported Ubuntu Releases (https://wiki.ubuntu.com/Releases) are provided. Don't ask for end-of-life PHP versions or Ubuntu release, they won't be provided.
    
    Debian oldstable and stable packages are provided as well: https://deb.sury.org/#debian-dpa
    
    You can get more information about the packages at https://deb.sury.org
    
    BUGS&FEATURES: This PPA now has a issue tracker:
    https://deb.sury.org/#bug-reporting
    
    CAVEATS:
    1. If you are using php-gearman, you need to add ppa:ondrej/pkg-gearman
    2. If you are using apache2, you are advised to add ppa:ondrej/apache2
    3. If you are using nginx, you are advised to add ppa:ondrej/nginx-mainline
       or ppa:ondrej/nginx
    
    PLEASE READ: If you like my work and want to give me a little motivation, please consider donating regularly: https://donate.sury.org/
    
    WARNING: add-apt-repository is broken with non-UTF-8 locales, see
    https://github.com/oerdnj/deb.sury.org/issues/56 for workaround:
    
    # LC_ALL=C.UTF-8 add-apt-repository ppa:ondrej/php
     More info: https://launchpad.net/~ondrej/+archive/ubuntu/php
    Unable to init server: Could not connect: Connection refused
    Unable to init server: Could not connect: Connection refused
    Warning: apt-key output should not be parsed (stdout is not a terminal)
    Executing: /tmp/apt-key-gpghome.MYCsFYfSCI/gpg.1.sh --keyserver hkps://keyserver.ubuntu.com:443 --recv-keys 14AA40EC0831756756D7F66C4F4EA0AAE5267A6C
    gpg: key 4F4EA0AAE5267A6C: "Launchpad PPA for Ondřej Surý" not changed
    gpg: Total number processed: 1
    gpg:              unchanged: 1
    You are about to add the following PPA:
     This branch follows latest Apache2 packages as maintained by the Debian Apache2 team with couple of compatibility patches on top.
    
    It also includes some widely used Apache 2 modules (if you need some other feel free to send me a request).
    
    BUGS&FEATURES: This PPA now has a issue tracker: https://deb.sury.org/#bug-reporting
    
    PLEASE READ: If you like my work and want to give me a little motivation, please consider donating: https://deb.sury.org/#donate
     More info: https://launchpad.net/~ondrej/+archive/ubuntu/apache2
    Ign:1 http://packages.linuxmint.com ulyana InRelease
    Hit:2 http://packages.linuxmint.com ulyana Release
    Hit:3 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
    Get:5 http://security.ubuntu.com/ubuntu focal-security InRelease [107 kB]
    Hit:6 http://archive.canonical.com/ubuntu focal InRelease
    Hit:7 http://archive.ubuntu.com/ubuntu focal InRelease
    Hit:8 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease
    Get:9 http://archive.ubuntu.com/ubuntu focal-updates InRelease [111 kB]
    Get:10 http://archive.ubuntu.com/ubuntu focal-backports InRelease [98.3 kB]
    Fetched 317 kB in 1s (243 kB/s)
    Reading package lists...
    ii  apache2        2.4.43-1+ubuntu20.04.1+deb.sury.org+7 amd64        Apache HTTP Server
    ii  bc             1.07.1-2build1 amd64        GNU bc arbitrary precision calculator language
    ii  build-essential 12.8ubuntu1  amd64        Informational list of build-essential packages
    ii  cpp            4:9.3.0-1ubuntu2 amd64        GNU C preprocessor (cpp)
    ii  curl           7.68.0-1ubuntu2.1 amd64        command line tool for transferring data with URL syntax
    ii  g++            4:9.3.0-1ubuntu2 amd64        GNU C++ compiler
    ii  gawk           1:5.0.1+dfsg-1 amd64        GNU awk, a pattern scanning and processing language
    ii  gcc            4:9.3.0-1ubuntu2 amd64        GNU C compiler
    ii  genisoimage    9:1.1.11-3.1ubuntu1 amd64        Creates ISO-9660 CD-ROM filesystem images
    ii  git            1:2.25.1-1ubuntu3 amd64        fast, scalable, distributed revision control system
    ii  gzip           1.10-0ubuntu4 amd64        GNU compression utilities
    ii  htmldoc        1.9.7-1build1 amd64        HTML processor that generates indexed HTML, PS, and PDF
    ii  isolinux       3:6.04~git20190206.bf6db5b4+dfsg1-2 all          collection of bootloaders (ISO 9660 bootloader)
    ii  lftp           4.8.4-2build3 amd64        Sophisticated command-line FTP/HTTP/BitTorrent client programs
    ii  libapache2-mod-php 2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          server-side, HTML-embedded scripting language (Apache 2 module) (default)
    ii  libc6:amd64    2.31-0ubuntu9 amd64        GNU C Library: Shared libraries
    ii  libcurl4:amd64 7.68.0-1ubuntu2.1 amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
    ii  liblzma-dev:amd64 5.2.4-1      amd64        XZ-format compression library - development files
    ii  m4             1.4.18-4     amd64        macro processing language
    ii  mariadb-client 1:10.3.22-1ubuntu1 all          MariaDB database client (metapackage depending on the latest version)
    ii  mariadb-server 1:10.3.22-1ubuntu1 all          MariaDB database server (metapackage depending on the latest version)
    ii  net-tools      1.60+git20180626.aebd88e-1ubuntu1 amd64        NET-3 networking toolkit
    ii  nfs-kernel-server 1:1.3.4-2.5ubuntu3.3 amd64        support for NFS kernel server
    ii  openssh-server 1:8.2p1-4ubuntu0.1 amd64        secure shell (SSH) server, for secure access from remote machines
    ii  php            2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          server-side, HTML-embedded scripting language (default)
    ii  php-bcmath     2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          Bcmath module for PHP [default]
    ii  php-cli        2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          command-line interpreter for the PHP scripting language (default)
    ii  php-curl       2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          CURL module for PHP [default]
    ii  php-fpm        2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          server-side, HTML-embedded scripting language (FPM-CGI binary) (default)
    ii  php-gd         2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          GD module for PHP [default]
    dpkg-query: no packages found matching php-gettext
    php-json
    php-json-schema
    ii  php-json       2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          JSON module for PHP [default]
    ii  php-ldap       2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          LDAP module for PHP [default]
    ii  php-mbstring   2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          MBSTRING module for PHP [default]
    php-mysql
    ii  php-mysql      2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          MySQL module for PHP [default]
    php-mysql
    ii  php-mysql      2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          MySQL module for PHP [default]
    ii  tar            1.30+dfsg-7  amd64        GNU version of the tar archiving utility
    ii  tftpd-hpa      5.2+20150808-1ubuntu4 amd64        HPA's tftp server
    ii  tftp-hpa       5.2+20150808-1ubuntu4 amd64        HPA's tftp client
    ii  unzip          6.0-25ubuntu1 amd64        De-archiver for .zip files
    ii  vsftpd         3.0.3-12     amd64        lightweight, efficient FTP server written for security
    ii  wget           1.20.3-1ubuntu1 amd64        retrieves files from the web
    ii  xinetd         1:2.3.15.3-1 amd64        replacement for inetd with many enhancements
    ii  zlib1g:amd64   1:1.2.11.dfsg-2ubuntu1 amd64        compression library - runtime
    Reading package lists...
    Building dependency tree...
    Reading state information...
    bc is already the newest version (1.07.1-2build1).
    build-essential is already the newest version (12.8ubuntu1).
    cpp is already the newest version (4:9.3.0-1ubuntu2).
    g++ is already the newest version (4:9.3.0-1ubuntu2).
    gawk is already the newest version (1:5.0.1+dfsg-1).
    gcc is already the newest version (4:9.3.0-1ubuntu2).
    genisoimage is already the newest version (9:1.1.11-3.1ubuntu1).
    git is already the newest version (1:2.25.1-1ubuntu3).
    gzip is already the newest version (1.10-0ubuntu4).
    isolinux is already the newest version (3:6.04~git20190206.bf6db5b4+dfsg1-2).
    lftp is already the newest version (4.8.4-2build3).
    libc6 is already the newest version (2.31-0ubuntu9).
    liblzma-dev is already the newest version (5.2.4-1).
    m4 is already the newest version (1.4.18-4).
    net-tools is already the newest version (1.60+git20180626.aebd88e-1ubuntu1).
    tar is already the newest version (1.30+dfsg-7).
    tftp-hpa is already the newest version (5.2+20150808-1ubuntu4).
    tftpd-hpa is already the newest version (5.2+20150808-1ubuntu4).
    unzip is already the newest version (6.0-25ubuntu1).
    vsftpd is already the newest version (3.0.3-12).
    wget is already the newest version (1.20.3-1ubuntu1).
    zlib1g is already the newest version (1:1.2.11.dfsg-2ubuntu1).
    htmldoc is already the newest version (1.9.7-1build1).
    mariadb-client is already the newest version (1:10.3.22-1ubuntu1).
    mariadb-server is already the newest version (1:10.3.22-1ubuntu1).
    xinetd is already the newest version (1:2.3.15.3-1).
    curl is already the newest version (7.68.0-1ubuntu2.1).
    libcurl4 is already the newest version (7.68.0-1ubuntu2.1).
    nfs-kernel-server is already the newest version (1:1.3.4-2.5ubuntu3.3).
    openssh-server is already the newest version (1:8.2p1-4ubuntu0.1).
    apache2 is already the newest version (2.4.43-1+ubuntu20.04.1+deb.sury.org+7).
    libapache2-mod-php is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-bcmath is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-cli is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-curl is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-fpm is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-gd is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-json is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-ldap is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-mbstring is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    php-mysql is already the newest version (2:7.4+76+ubuntu20.04.1+deb.sury.org+9).
    Calculating upgrade...
    The following packages have been kept back:
      libegl-mesa0 libgbm1 libgl1-mesa-dri libglapi-mesa libglx-mesa0
      libxatracker2 linux-generic linux-headers-generic linux-image-generic
      mesa-va-drivers mesa-vdpau-drivers mesa-vulkan-drivers
    0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
    ii  apache2        2.4.43-1+ubuntu20.04.1+deb.sury.org+7 amd64        Apache HTTP Server
    ii  bc             1.07.1-2build1 amd64        GNU bc arbitrary precision calculator language
    ii  build-essential 12.8ubuntu1  amd64        Informational list of build-essential packages
    ii  cpp            4:9.3.0-1ubuntu2 amd64        GNU C preprocessor (cpp)
    ii  curl           7.68.0-1ubuntu2.1 amd64        command line tool for transferring data with URL syntax
    ii  g++            4:9.3.0-1ubuntu2 amd64        GNU C++ compiler
    ii  gawk           1:5.0.1+dfsg-1 amd64        GNU awk, a pattern scanning and processing language
    ii  gcc            4:9.3.0-1ubuntu2 amd64        GNU C compiler
    ii  genisoimage    9:1.1.11-3.1ubuntu1 amd64        Creates ISO-9660 CD-ROM filesystem images
    ii  git            1:2.25.1-1ubuntu3 amd64        fast, scalable, distributed revision control system
    ii  gzip           1.10-0ubuntu4 amd64        GNU compression utilities
    ii  htmldoc        1.9.7-1build1 amd64        HTML processor that generates indexed HTML, PS, and PDF
    ii  isolinux       3:6.04~git20190206.bf6db5b4+dfsg1-2 all          collection of bootloaders (ISO 9660 bootloader)
    ii  lftp           4.8.4-2build3 amd64        Sophisticated command-line FTP/HTTP/BitTorrent client programs
    ii  libapache2-mod-php 2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          server-side, HTML-embedded scripting language (Apache 2 module) (default)
    ii  libc6:amd64    2.31-0ubuntu9 amd64        GNU C Library: Shared libraries
    ii  libcurl4:amd64 7.68.0-1ubuntu2.1 amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
    ii  liblzma-dev:amd64 5.2.4-1      amd64        XZ-format compression library - development files
    ii  m4             1.4.18-4     amd64        macro processing language
    ii  mariadb-client 1:10.3.22-1ubuntu1 all          MariaDB database client (metapackage depending on the latest version)
    ii  mariadb-server 1:10.3.22-1ubuntu1 all          MariaDB database server (metapackage depending on the latest version)
    ii  net-tools      1.60+git20180626.aebd88e-1ubuntu1 amd64        NET-3 networking toolkit
    ii  nfs-kernel-server 1:1.3.4-2.5ubuntu3.3 amd64        support for NFS kernel server
    ii  openssh-server 1:8.2p1-4ubuntu0.1 amd64        secure shell (SSH) server, for secure access from remote machines
    ii  php            2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          server-side, HTML-embedded scripting language (default)
    ii  php-bcmath     2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          Bcmath module for PHP [default]
    ii  php-cli        2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          command-line interpreter for the PHP scripting language (default)
    ii  php-curl       2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          CURL module for PHP [default]
    ii  php-fpm        2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          server-side, HTML-embedded scripting language (FPM-CGI binary) (default)
    ii  php-gd         2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          GD module for PHP [default]
    ii  php-json       2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          JSON module for PHP [default]
    ii  php-ldap       2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          LDAP module for PHP [default]
    ii  php-mbstring   2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          MBSTRING module for PHP [default]
    ii  php-mysql      2:7.4+76+ubuntu20.04.1+deb.sury.org+9 all          MySQL module for PHP [default]
    ii  tar            1.30+dfsg-7  amd64        GNU version of the tar archiving utility
    ii  tftpd-hpa      5.2+20150808-1ubuntu4 amd64        HPA's tftp server
    ii  tftp-hpa       5.2+20150808-1ubuntu4 amd64        HPA's tftp client
    ii  unzip          6.0-25ubuntu1 amd64        De-archiver for .zip files
    ii  vsftpd         3.0.3-12     amd64        lightweight, efficient FTP server written for security
    ii  wget           1.20.3-1ubuntu1 amd64        retrieves files from the web
    ii  xinetd         1:2.3.15.3-1 amd64        replacement for inetd with many enhancements
    ii  zlib1g:amd64   1:1.2.11.dfsg-2ubuntu1 amd64        compression library - runtime
    New password: Retype new password: passwd: password updated successfully
    Failed to stop php-fpm.service: Unit php-fpm.service not loaded.

  • Senior Developer

    @berndttoast23 said in New fog installation, stopping web service failed.:

    Thanks for your reply, I took your advice but unfortunately it produced the same result. Any other ideas?

    Did you really pull the very latest version via git?? As mentioned by George this changed was pushed only a few days ago and it’s not part of the last RC version but only the very latest from dev-branch.


  • Moderator

    @berndttoast23 In the fog installer directory there should be a log directory ./fogproject/bin/error_logs. There will be a fog_error-xxxxx.log Where xxxxx will match the version of FOG you are installing. That should give us a bit more detail on what is wrong.



  • @george1421 Sorry, I forgot to paste the error into the post. My bad.
    Thanks for your reply, I took your advice but unfortunately it produced the same result. Any other ideas?



  • This post is deleted!

  • Moderator

    While I don’t see your error switch your installer over to the dev branch and install FOG 1.5.9RC2. There was an update in the last 3 days that resolved an issue with Linux Mint.


Log in to reply
 

292
Online

7.4k
Users

14.5k
Topics

136.7k
Posts